Summary: Foobillard
Name: foobillard
Version: 2.0
Release: 1
Copyright: GPL
Group: Games
Packager: linuxkid <linux@peanutlinux.org>
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.desktop
BuildRoot: %{tmpdir}/%name-root

%description
Open Source Pool game. Requires a hardware accellerated video card.

%prep
%setup -q

%build
configure \
    --host=i386-pc-linux-gnu \
    --build=i386-pc-linux-gnu \
    --prefix=/usr/games \
    --with-x \
    --enable-SDL \
    --disable-nls \
    --enable-bumpref=no
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
touch -c `find *` $RPM_BUILD_ROOT/*

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
